"""Definition of the Toilets class."""
from typing import Optional
from pydantic import BaseModel, ConfigDict


class Toilets(BaseModel) :
    """
    Model for toilets. When false/empty the information is either false either not known.
    """
    location : tuple
    wheelchair : Optional[bool] = False
    changing_table : Optional[bool] = False
    fee : Optional[bool] = False
    opening_hours : Optional[str] = ""


    def __str__(self) -> str:
        """
        String representation of the Toilets object.

        Returns:
            str: A formatted string with the toilets location.
        """
        return f'Toilets @{self.location}'

    model_config = ConfigDict(from_attributes=True)
